package vocation;

import com.engine.attendance.vacation.job.holidaygeneration.HolidayGenerationJob;
import com.engine.attendance.vacation.service.VocationService;
import com.engine.attendance.vacation.service.impl.VocationServiceImpl;
import com.engine.common.util.ServiceUtil;
import com.engine.common.util.Utils;
import com.google.common.collect.Maps;
import org.junit.Test;

import java.util.List;
import java.util.Map;

public class Test1 extends beforlog{
    VocationService basicsetService = ServiceUtil.getService(VocationServiceImpl.class);
    @Test
    public  void test1() {

        Map<String,String> formmodeIdMap = Utils.getFormmodeIdMap();
        //假期额度模块id
        String modeId = formmodeIdMap.get("uf_jcl_kq_jqed");
        Map<String, Object> params = Maps.newHashMap();
        params.put("modeId",modeId);
        params.put("releaseDate","");
        params.put("cover",1);
        basicsetService.generateVocation(params);

    }

    public int getScheduleIndex(){
        int j = -1;
        for (int i =0;i<10;i++){
            if (i == 2){
                return i;
            }
            j = i;
        }
        return j;
    }
}
